unable to upgrade opensuse leap 42.2 to 42.3

Whether you are using Linux on the desktop or as a server, it's still good that you're using Linux. Linux related questions go here.

Moderator: General Moderators

Post Reply
raydona
Forum Newbie
Posts: 21
Joined: Sat Mar 21, 2009 9:17 am

unable to upgrade opensuse leap 42.2 to 42.3

Post by raydona »

Hi, I'm trying to upgrade from opensuse leap 42.2 to 42.3 using:
:~> cd /etc/zypp/repos.d
:~> sed -i 's/42.2/42.3/' *
:~> zypper refresh
:~> zypper dup
:~> reboot
After rebooting I get messages such as:
BERT: Can't request iomem region<……………>
Spectre V2: System may be vulnerable to spectre V2
dracut initqueue [282] Warning: /dev/mapper/isw_cfiadgibeh_Mirror1_part1 does not exist.
Starting Dracut emergency shell.......
Generating "/run/initramfs/rdsosreport.txt"
Entering emergency mode. Exit the shell to continue.
Type "journalctl" to view system logs.
Recovery of btrfs system is not automated
dracut:/#
I haven't a clue what's going on. Can anyone put me in the picture and suggest how to put things right. All help will be greatly appreciated. :banghead:
User avatar
Christopher
Site Administrator
Posts: 13592
Joined: Wed Aug 25, 2004 7:54 pm
Location: New York, NY, US

Re: unable to upgrade opensuse leap 42.2 to 42.3

Post by Christopher »

have you tried this to see what your system needs:

zypper ref

And to upgrade:

zypper up
(#10850)
Post Reply